/*===========================================================================*/
/*   (Engine/pass.scm)                                                       */
/*   Bigloo (2.6b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 15 12:14:36 CET 2003        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc-2.95 -lib-dir /users/serrano/prgm/project/bigloo/lib/2.6b -unsafev -no-hello -O2 -rm -unsafe -s -indent Engine/pass.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzinit_mainz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_EXPORTED_DECL obj_t BGl_stopzd2onzd2passz00zzengine_passz00(obj_t, obj_t);
static obj_t BGl__stopzd2onzd2passz00zzengine_passz00(obj_t, obj_t, obj_t);
extern obj_t BGl_za2passza2z00zzengine_paramz00;
BGL_EXPORTED_DEF obj_t BGl_za2currentzd2passza2zd2zzengine_passz00 = BUNSPEC;
static obj_t BGl_importedzd2moduleszd2initz00zzengine_passz00();
static obj_t BGl_requirezd2initializa7ationz75zzengine_passz00 = BUNSPEC;
static obj_t BGl_libraryzd2moduleszd2initz00zzengine_passz00();
extern obj_t BGl_exitzd2bigloozd2zzinit_mainz00(obj_t);
static obj_t BGl_toplevelzd2initzd2zzengine_passz00();
static obj_t *__cnst;


DEFINE_EXPORT_PROCEDURE( BGl_stopzd2onzd2passzd2envzd2zzengine_passz00, BgL_bgl__stopza7d2onza7d2passza700za7za7engine_passza7001019z00, BGl__stopzd2onzd2passz00zzengine_passz00, 0L, 2 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long BgL_checksumz00_8, char * BgL_fromz00_9)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzengine_passz00))
{ 
BGl_requirezd2initializa7ationz75zzengine_passz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzengine_passz00(); 
BGl_importedzd2moduleszd2initz00zzengine_passz00(); 
BGl_toplevelzd2initzd2zzengine_passz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzengine_passz00()
{ AN_OBJECT;
{ /* ./Engine/pass.scm 15 */
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "engine_pass"); 
return BUNSPEC;} 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzengine_passz00()
{ AN_OBJECT;
{ /* ./Engine/pass.scm 15 */
return ( 
BGl_za2currentzd2passza2zd2zzengine_passz00 = BNIL, BUNSPEC) ;} 
}



/* stop-on-pass */
BGL_EXPORTED_DEF obj_t BGl_stopzd2onzd2passz00zzengine_passz00(obj_t BgL_passz00_1, obj_t BgL_thunkz00_2)
{ AN_OBJECT;
{ /* ./Engine/pass.scm 29 */
{ /* ./Engine/pass.scm 30 */
bool_t BgL_test1003z00_4;
BgL_test1003z00_4 = 
(BGl_za2passza2z00zzengine_paramz00==BgL_passz00_1); 
if(BgL_test1003z00_4)
{ /* ./Engine/pass.scm 30 */
PROCEDURE_ENTRY(BgL_thunkz00_2)(BgL_thunkz00_2, BEOA); 
return 
BGl_exitzd2bigloozd2zzinit_mainz00(
BINT(((long)0)));}  else 
{ /* ./Engine/pass.scm 30 */
return BFALSE;} } } 
}



/* _stop-on-pass */
obj_t BGl__stopzd2onzd2passz00zzengine_passz00(obj_t BgL_envz00_5, obj_t BgL_passz00_6, obj_t BgL_thunkz00_7)
{ AN_OBJECT;
{ /* ./Engine/pass.scm 29 */
return 
BGl_stopzd2onzd2passz00zzengine_passz00(BgL_passz00_6, BgL_thunkz00_7);} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzengine_passz00()
{ AN_OBJECT;
{ /* ./Engine/pass.scm 15 */
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)14260), "engine_pass"); 
return 
BGl_modulezd2initializa7ationz75zzinit_mainz00(((long)6610), "engine_pass");} 
}

